{% paginate blog.articles by section.settings.items_per_page %}
<div class="row blog-listing-wrap">
  
  <div class="col-lg-3 has-blog-sidebar">
    
    {% include 'blog-sidebar' %}
    
  </div>
  
  <div class="col-lg-9 has-blog-listing">
    
    <h1 class="page-heading text-center">{{ section.settings.title | default: page_title }}</h1>
    
    <div id="blog-listing">
    {% if blog.articles.size > 0 %}
      {% for article in blog.articles %}
        
        {% include 'blog-listing-item' %}
        
      {% endfor %}
    {% else %}
      <p class="fs22 color-lighter text-center pt50 pb50">No articles found under this blog.</p>
    {% endif %}
    </div><!-- #blog-listing -->

    {% if paginate.pages > 1 %}
      {% include 'pagination', items_per_page: section.settings.items_per_page %}
    {% endif %}
    
  </div><!-- .has-blog-listing -->
  
</div>
{% endpaginate %}

{% schema %}
  {
    "name": "Blog Listing",
    "settings": [
      {
        "type": "text",
        "id": "title",
        "label": "Blog Title (Optional)",
        "info": "If left blank, the actual blog title will be displayed"
      },
      {
        "type": "select",
        "id": "items_per_page",
        "label": "Articles per page",
        "default": "10",
        "options": [
          {
            "value": "10",
            "label": "10"
          },
          {
            "value": "12",
            "label": "12"
          },
          {
            "value": "15",
            "label": "15"
          },
          {
            "value": "20",
            "label": "20"
          }
        ]
      }
    ]
  }
{% endschema %}

{% stylesheet %}
{% endstylesheet %}

{% javascript %}
{% endjavascript %}
